Subject: Re: [RFC] Git config file reader in Perl (WIP)

From: Eric Wong <[email-masked]>
Date: Mon, 15 Jan 2007 01:56:14 -0800

Jakub Narebski <[email-masked]> wrote:
> Eric Wong wrote:
> > Jakub Narebski <[email-masked]> wrote:
> >> To make gitweb faster I thought about adding to it, or to Git.pm,
> >> simple nonvalidation config file reader. Nonvalidating means that
> >> it would accept some input which git-repo-config considers invalid.
> > 
> > How about something like git-for-each-ref that dumps the entire output
> > of a config file into an eval()-able string?  That way we don't have to
> > deal with corner-cases and subtle differences between C and Perl
> > implementations.
> 
> The idea is (at least for gitweb) to avoid cost of fork. And I think
> if the format gets documented properly, there should be no differences
> in config file parsing.

If the Perl output is redirected to a file (say .git/config.perl) and
only regenerated when .git/config changes, `do(".git/config.perl")' will
likely be faster since all the parsing will be done by Perl itself.

-- 
Eric Wong